<?php


namespace Drupal\xtc\Entity;


use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;

abstract class XtcContentEntityTypeListBuilderBase extends EntityListBuilder {

  public function buildHeader() {
    $header['label'] = t('Label');
    return $header + parent::buildHeader();
  }

  public function buildRow(EntityInterface $entity) {
    $label = $entity->bundle() .': '.$entity->label();
    $row['label'] = $label;
    return $row + parent::buildRow($entity);
  }

  /**
   * Loads entity IDs using a pager sorted by the entity id.
   *
   * @return array
   *   An array of entity IDs.
   */
  protected function getEntityIds() {
    return [];
  }

  protected function getTypes() {
    $plugins = [];
    return $plugins;
  }

}
